import { DataTypeName } from "datapipe-js";
import { DbConnectionType, PostgreSqlDataTypes, SQLDataTypes, SybaseAseDataTypes } from "./db-types";
export declare class DbTypeConverter {
    toDbType(dbType: DataTypeName, connectionType: DbConnectionType): SQLDataTypes | PostgreSqlDataTypes | SybaseAseDataTypes;
    fromDbType(dbType: SQLDataTypes | PostgreSqlDataTypes | SybaseAseDataTypes, connectionType: DbConnectionType): DataTypeName;
    toSqlServerType(dbType: DataTypeName): SQLDataTypes;
    toSybaseAseSqlType(dbType: DataTypeName): SybaseAseDataTypes;
    toPostgreSqlType(dbType: DataTypeName): PostgreSqlDataTypes;
    fromSqlServerType(dbType: SQLDataTypes): DataTypeName;
    fromSybaseAseSqlType(dbType: SybaseAseDataTypes): DataTypeName;
    fromPostgreSqlType(dbType: PostgreSqlDataTypes): DataTypeName;
}
//# sourceMappingURL=db-type-converter.d.ts.map